## g_chi

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

g_chi computes phi, psi, omega and chi dihedrals for all your amino acid backbone and sidechains. It can compute dihedral angle as a function of time, and as histogram distributions. The distributions (histo-(dihedral)(RESIDUE).xvg) are cumulative over all residues of each type.

If option `-corr` is given, the program will calculate dihedral autocorrelation functions. The function used is C(t) = < cos(chi(tau)) cos(chi(tau+t)) >. The use of cosines rather than angles themselves, resolves the problem of periodicity. (Van der Spoel & Berendsen (1997), Biophys. J. 72, 2032-2041). Separate files for each dihedral of each residue (corr(dihedral)(RESIDUE)(nresnr).xvg) are output, as well as a file containing the information for all residues (argument of `-corr`).

With option `-all`, the angles themselves as a function of time for each residue are printed to separate files (dihedral)(RESIDUE)(nresnr).xvg. These can be in radians or degrees.

A log file (argument `-g`) is also written. This contains
(a) information about the number of residues of each type.
(b) The NMR 3J coupling constants from the Karplus equation.
(c) a table for each residue of the number of transitions between rotamers per nanosecond, and the order parameter S2 of each dihedral.
(d) a table for each residue of the rotamer occupancy.
All rotamers are taken as 3-fold, except for omegas and chi-dihedrals to planar groups (i.e. chi2 of aromatics asp and asn, chi3 of glu and gln, and chi4 of arg), which are 2-fold. "rotamer 0" means that the dihedral was not in the core region of each rotamer. The width of the core region can be set with `-core_rotamer`

The S2 order parameters are also output to an xvg file (argument `-o` ) and optionally as a pdb file with the S2 values as B-factor (argument `-p`). The total number of rotamer transitions per timestep (argument `-ot`), the number of transitions per rotamer (argument `-rt`), and the 3J couplings (argument `-jc`), can also be written to .xvg files.

If `-chi_prod` is set (and maxchi > 0), cumulative rotamers, e.g. 1+9(chi1-1)+3(chi2-1)+(chi3-1) (if the residue has three 3-fold dihedrals and maxchi >= 3) are calculated. As before, if any dihedral is not in the core region, the rotamer is taken to be 0. The occupancies of these cumulative rotamers (starting with rotamer 0) are written to the file that is the argument of `-cp`, and if the `-all` flag is given, the rotamers as functions of time are written to chiproduct(RESIDUE)(nresnr).xvg and their occupancies to histo-chiproduct(RESIDUE)(nresnr).xvg.

The option `-r` generates a contour plot of the average omega angle as a function of the phi and psi angles, that is, in a Ramachandran plot the average omega angle is plotted using color coding.

### Files

option | filename | type | description
--- | --- | --- | ---
`-s` | `conf.gro` | Input | Generic structure: gro g96 pdb tpr tpb tpa xml
`-f` | `traj.xtc` | Input | Generic trajectory: xtc trr trj gro g96 pdb
`-o` | `order.xvg` | Output | xvgr/xmgr file
`-p` | `order.pdb` | Output, Opt. | Protein data bank file
`-ss` | `ssdump.dat` | Input, Opt. | Generic data file
`-jc` | `Jcoupling.xvg` | Output | xvgr/xmgr file
`-corr` | `dihcorr.xvg` | Output, Opt. | xvgr/xmgr file
`-g` | `chi.log` | Output | Log file
`-ot` | `dihtrans.xvg` | Output, Opt. | xvgr/xmgr file
`-oh` | `trhisto.xvg` | Output, Opt. | xvgr/xmgr file
`-rt` | `restrans.xvg` | Output, Opt. | xvgr/xmgr file
`-cp` | `chiprodhisto.xvg` | Output, Opt. | xvgr/xmgr file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-r0` | int | `1` | starting residue
`-[no]phi` | bool | `no` | Output for Phi dihedral angles
`-[no]psi` | bool | `no` | Output for Psi dihedral angles
`-[no]omega` | bool | `no` | Output for Omega dihedrals (peptide bonds)
`-[no]rama` | bool | `no` | Generate Phi/Psi and Chi1/Chi2 ramachandran plots
`-[no]viol` | bool | `no` | Write a file that gives 0 or 1 for violated Ramachandran angles
`-[no]all` | bool | `no` | Output separate files for every dihedral.
`-[no]rad` | bool | `no` | in angle vs time files, use radians rather than degrees.
`-[no]shift` | bool | `no` | Compute chemical shifts from Phi/Psi angles
`-binwidth` | int | `1` | bin width for histograms (degrees)
`-core_rotamer` | real | `0.5` | only the central -core_rotamer*(360/multiplicity) belongs to each rotamer (the rest is assigned to rotamer 0)
`-maxchi` | enum | `0` | calculate first ndih Chi dihedrals: `0`, `1`, `2`, `3`, `4`, `5` or `6`
`-[no]normhisto` | bool | `yes` | Normalize histograms
`-[no]ramomega` | bool | `no` | compute average omega as a function of phi/psi and plot it in an xpm plot
`-bfact` | real | `-1` | B-factor value for pdb file for atoms with no calculated dihedral order parameter
`-[no]chi_prod` | bool | `no` | compute a single cumulative rotamer for each residue
`-[no]HChi` | bool | `no` | Include dihedrals to sidechain hydrogens
`-bmax` | real | `0` | Maximum B-factor on any of the atoms that make up a dihedral, for the dihedral angle to be considere in the statistics. Applies to database work where a number of X-Ray structures is analyzed. -bmax <= 0 means no limit.
`-acflen` | int | `-1` | Length of the ACF, default is half the number of frames
`-[no]normalize` | bool | `yes` | Normalize ACF
`-P` | enum | `0` | Order of Legendre polynomial for ACF (0 indicates none): `0`, `1`, `2` or `3`
`-fitfn` | enum | `none` | Fit function: `none`, `exp`, `aexp`, `exp_exp`, `vac`, `exp5`, `exp7` or `exp9`
`-ncskip` | int | `0` | Skip N points in the output file of correlation functions
`-beginfit` | real | `0` | Time where to begin the exponential fit of the correlation function
`-endfit` | real | `-1` | Time where to end the exponential fit of the correlation function, -1 is till the end

- Produces MANY output files (up to about 4 times the number of residues in the protein, twice that if autocorrelation functions are calculated). Typically several hundred files are output.
- Phi and psi dihedrals are calculated in a non-standard way, using H-N-CA-C for phi instead of C(-)-N-CA-C, and N-CA-C-O for psi instead of N-CA-C-N(+). This causes (usually small) discrepancies with the output of other tools like g_rama.
- -r0 option does not work properly
- Rotamers with multiplicity 2 are printed in chi.log as if they had multiplicity 3, with the 3rd (g(+)) always having probability 0

http://www.gromacs.org
gromacs@gromacs.org